Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.message
Class AuthInfo2NotifyMessage

    java.lang.Object
      de.knipp.rritoolkit.message.Message
          de.knipp.rritoolkit.message.AuthInfo2NotifyMessage

All Implemented Interfaces:
  java.io.Serializable

    public class AuthInfo2NotifyMessage

extends Message

class that represents the AuthInfo2 notify message

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.knipp.rritoolkit.message.Message
`Message.Type`

Field Summary
`private java.lang.String` | `domainName` the domain name
`private java.lang.String` | `encodedDomainName` the encoded domain name

Constructor Summary
`AuthInfo2NotifyMessage()`

Method Summary
`void` | `accept(MessageVisitor visitor)` call the suitable method of the given visitor
`protected void` | `dataFromList(KVList list)` setup the object's data from the given list.
`protected void` | `dataFromXml(org.w3c.dom.Element el)` setup the object's data from the given XML element.
`java.lang.String` | `getDomainName()` return the domain name
`java.lang.String` | `getEncodedDomainName()` return the encoded domain name
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.message.Message
`createMessage, fromList, fromXml, getCreationDate, getMessageID, getType, setData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domainName

    private java.lang.String domainName

  the domain name

### encodedDomainName

    private java.lang.String encodedDomainName

  the encoded domain name

Constructor Detail

### AuthInfo2NotifyMessage

    public AuthInfo2NotifyMessage()

Method Detail

### dataFromXml

    protected void dataFromXml(org.w3c.dom.Element el)
                        throws org.w3c.dom.DOMException,
                               ResponseParseException

  setup the object's data from the given XML element.

  Specified by:
    `dataFromXml` in class `Message`
  Parameters:
    `el` - the element
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - if the data was not recognized

### dataFromList

    protected void dataFromList(KVList list)
                         throws ResponseParseException

  setup the object's data from the given list.

  Specified by:
    `dataFromList` in class `Message`
  Parameters:
    `list` - the list
  Throws:
    `ResponseParseException` - if the list does not contain the expected content

### accept

    public void accept(MessageVisitor visitor)

  call the suitable method of the given visitor

  Specified by:
    `accept` in class `Message`
  Parameters:
    `visitor` - the visitor

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Message`
  Returns:
    the string representation

### getDomainName

    public java.lang.String getDomainName()

  return the domain name

  Returns:
    the domain name

### getEncodedDomainName

    public java.lang.String getEncodedDomainName()

  return the encoded domain name

  Returns:
    the encoded domain name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH